- NAME
- SYNOPSIS
- DESCRIPTION
- ARGUMENTS
- SEE ALSO

# NAME

stag-bulkload.pl - creates bulkload SQL for input data

# SYNOPSIS

      # convert XML to IText
      stag-bulkload.pl -l person file1.xml file2.xml

      # use a custom parser/generator and a custom writer/generator
      stag-bulkload.pl -p MyMod::MyParser file.txt

# DESCRIPTION

Creates bulkload SQL statements for an input file

Works only with certain kinds of schemas, where the FK relations make a tree (not a graph); i.e. the only FKs are to the parent

You do not need a connection to the DB

It is of no use for incremental loading - it assumes integer surrogate promary keys and starts these from 1

# ARGUMENTS

-p|parser FORMAT
  FORMAT is one of xml, sxpr or itext, or the name of a perl module

  xml assumed as default

-l|loadrecord NODE
  adds a COMMIT statement after the INSERTs for this node

# SEE ALSO

the Data::Stag manpage

the DBIx::DBStag manpage